Debian Bug report logs - #470440
sbuild doesn't cope with Checksums-Sha1 and Checksums-Sha256 headers

version graph

Package: sbuild; Maintainer for sbuild is Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>; Source for sbuild is src:sbuild.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 11 Mar 2008 08:30:02 UTC

Severity: important

Found in version sbuild/0.57.0-1

Fixed in version 0.57.2-1

Done: Roger Leigh <rleigh@whinlatter.ukfsn.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brett Parker <iDunno@sommitrealweird.co.uk>:
Bug#470440; Package python-django. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Brett Parker <iDunno@sommitrealweird.co.uk>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: python-django: FTBFS: MD5SUM mismatch for .diff.gz
Date: Tue, 11 Mar 2008 10:18:52 +0100
Package: python-django
Version: 0.96.1-3
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20080310 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on i386.

Relevant part:
> DC-Build-Header: python-django 0.96.1-3 / Tue Mar 11 05:06:57 +0100 2008
> Automatic build of python-django_0.96.1-3 on grelon-31.nancy.grid5000.fr by sbuild/amd64 0.57.0
> Build started at 20080311-0506
> ******************************************************************************
> Failed to open ./python-django_0.96.1-3.dsc
> Checking available source versions...
> Fetching source files...
> Reading package lists...
> Building dependency tree...
> Reading state information...
> Need to get 1755kB of source archives.
> Get:1 http://idpot.grenoble.grid5000.fr sid/main python-django 0.96.1-3 (dsc) [1457B]
> Get:2 http://idpot.grenoble.grid5000.fr sid/main python-django 0.96.1-3 (tar) [1746kB]
> Get:3 http://idpot.grenoble.grid5000.fr sid/main python-django 0.96.1-3 (diff) [7234B]
> Fetched 1755kB in 0s (3623kB/s)
> Download complete and in download only mode
> /var/lib/schroot/mount/sid32-e0221d34-ac59-4eb7-8a9a-eed3dd9f18ef/build/user/python-django_0.96.1-3.diff.gz: MD5SUM mismatch (d2653ab52567436d0ee0d3c59410aa7e60b5fdf92ad05c6e1c58bc820e1bda31 cf dbc74dd2bf7093031016b0f4e2dd7813
> FAILED [dsc verification]
> ******************************************************************************
> Finished at 20080311-0507
> Build needed 00:00:00, 0k disk space
> DC-Build-Status: Failed 13.619396s
> DC-Time-Estimation: 13.619396 versus expected 44 (r/m: 2.23068658845077 ; m: 13.619396)

The full build log is available from:
   http://people.debian.org/~lucas/logs/2008/03/10

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Reply sent to Thomas Viehmann <tv@beamnet.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 470440-done@bugs.debian.org (full text, mbox):

From: Thomas Viehmann <tv@beamnet.de>
To: <470440-done@bugs.debian.org>
Subject: invalid bug report
Date: Fri, 14 Mar 2008 17:49:03 +0100
Hi,

the bug report is invalid. Apparently the software used for unpacking  
is confused by the Checksums-Sha256 fields. dpkg-source from stable  
or newer (at least) will do unpack all right.
As such, I am closing this report.

Kind regards

T.
-- 
Thomas Viehmann, http://thomas.viehmann.net/




Information forwarded to debian-bugs-dist@lists.debian.org, Brett Parker <iDunno@sommitrealweird.co.uk>:
Bug#470440; Package python-django. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Brett Parker <iDunno@sommitrealweird.co.uk>. Full text and rfc822 format available.

Message #15 received at 470440@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 470440@bugs.debian.org
Subject: Re: Bug#470440: python-django: FTBFS: MD5SUM mismatch for .diff.gz
Date: Sat, 15 Mar 2008 18:40:54 +0100
On Tue, 11 Mar 2008, Lucas Nussbaum wrote:
> > /var/lib/schroot/mount/sid32-e0221d34-ac59-4eb7-8a9a-eed3dd9f18ef/build/user/python-django_0.96.1-3.diff.gz: MD5SUM mismatch (d2653ab52567436d0ee0d3c59410aa7e60b5fdf92ad05c6e1c58bc820e1bda31 cf dbc74dd2bf7093031016b0f4e2dd7813
> > FAILED [dsc verification]

What software does this?

As Thomas pointed out, dpkg-source is fine. Is that sbuild?

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, Brett Parker <iDunno@sommitrealweird.co.uk>:
Bug#470440; Package python-django. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Brett Parker <iDunno@sommitrealweird.co.uk>. Full text and rfc822 format available.

Message #20 received at 470440@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 470440@bugs.debian.org
Subject: Re: Bug#470440: python-django: FTBFS: MD5SUM mismatch for .diff.gz
Date: Tue, 18 Mar 2008 11:04:02 +0100
reopen 470440
reassign 470440 sbuild
found 470440 0.57.0-1
severity 470440 important
thanks

On 15/03/08 at 18:40 +0100, Raphael Hertzog wrote:
> On Tue, 11 Mar 2008, Lucas Nussbaum wrote:
> > > /var/lib/schroot/mount/sid32-e0221d34-ac59-4eb7-8a9a-eed3dd9f18ef/build/user/python-django_0.96.1-3.diff.gz: MD5SUM mismatch (d2653ab52567436d0ee0d3c59410aa7e60b5fdf92ad05c6e1c58bc820e1bda31 cf dbc74dd2bf7093031016b0f4e2dd7813
> > > FAILED [dsc verification]
> 
> What software does this?
> 
> As Thomas pointed out, dpkg-source is fine. Is that sbuild?
 
Yes. sbuild seems to have problems parsing dsc files with stuff like:

Files: 
 10aa32e58969c4efeb00ef42ba192b17 1746455 python-django_0.96.1.orig.tar.gz
 dbc74dd2bf7093031016b0f4e2dd7813 7234 python-django_0.96.1-3.diff.gz
Checksums-Sha1: 
 85270f857ff405983cae9a1ef76dfb3303ca6eec 1746455 python-django_0.96.1.orig.tar.gz
 4927312d149c7be0ad94663192d416e1b5311c3b 7234 python-django_0.96.1-3.diff.gz
Checksums-Sha256: 
 4874134e9fc6bd08eb7e451e42038394668895c26b7cc867d4c3fdaf9d711085 1746455 python-django_0.96.1.orig.tar.gz
 d2653ab52567436d0ee0d3c59410aa7e60b5fdf92ad05c6e1c58bc820e1bda31 7234 python-django_0.96.1-3.diff.gz

Reassigning to sbuild.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Brett Parker <iDunno@sommitrealweird.co.uk>:
Bug#470440; Package python-django. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Brett Parker <iDunno@sommitrealweird.co.uk>. Full text and rfc822 format available.

Message #25 received at 470440@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 470440@bugs.debian.org
Subject: Re: Bug#470440: python-django: FTBFS: MD5SUM mismatch for .diff.gz
Date: Tue, 18 Mar 2008 11:40:47 +0100
On Tue, 18 Mar 2008, Lucas Nussbaum wrote:
> > What software does this?
> > 
> > As Thomas pointed out, dpkg-source is fine. Is that sbuild?
>  
> Yes. sbuild seems to have problems parsing dsc files with stuff like:
> 
> Files: 
>  10aa32e58969c4efeb00ef42ba192b17 1746455 python-django_0.96.1.orig.tar.gz
>  dbc74dd2bf7093031016b0f4e2dd7813 7234 python-django_0.96.1-3.diff.gz
> Checksums-Sha1: 
>  85270f857ff405983cae9a1ef76dfb3303ca6eec 1746455 python-django_0.96.1.orig.tar.gz
>  4927312d149c7be0ad94663192d416e1b5311c3b 7234 python-django_0.96.1-3.diff.gz
> Checksums-Sha256: 
>  4874134e9fc6bd08eb7e451e42038394668895c26b7cc867d4c3fdaf9d711085 1746455 python-django_0.96.1.orig.tar.gz
>  d2653ab52567436d0ee0d3c59410aa7e60b5fdf92ad05c6e1c58bc820e1bda31 7234 python-django_0.96.1-3.diff.gz

For reference, this is generated when one (like me) uses dpkg's
development version (i.e. what's in the git tree for the next upload).

So those fields will become quite common in the near future.

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, Brett Parker <iDunno@sommitrealweird.co.uk>:
Bug#470440; Package python-django. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Brett Parker <iDunno@sommitrealweird.co.uk>. Full text and rfc822 format available.

Message #30 received at 470440@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 470440@bugs.debian.org
Subject: Re: Bug#470440: python-django: FTBFS: MD5SUM mismatch for .diff.gz
Date: Fri, 28 Mar 2008 12:20:16 +0100
# Please handle this bug quickly as the problem will soon show up in sid
reopen 470440
reassign 470440 sbuild
found 470440 0.57.0-1
severity 470440 important
retitle 470440 sbuild doesn't cope with Checksums-Sha1 and Checksums-Sha256 headers
thanks

On Tue, 18 Mar 2008, Raphael Hertzog wrote:
> On Tue, 18 Mar 2008, Lucas Nussbaum wrote:
> > > What software does this?
> > > 
> > > As Thomas pointed out, dpkg-source is fine. Is that sbuild?
> >  
> > Yes. sbuild seems to have problems parsing dsc files with stuff like:
> > 
> > Files: 
> >  10aa32e58969c4efeb00ef42ba192b17 1746455 python-django_0.96.1.orig.tar.gz
> >  dbc74dd2bf7093031016b0f4e2dd7813 7234 python-django_0.96.1-3.diff.gz
> > Checksums-Sha1: 
> >  85270f857ff405983cae9a1ef76dfb3303ca6eec 1746455 python-django_0.96.1.orig.tar.gz
> >  4927312d149c7be0ad94663192d416e1b5311c3b 7234 python-django_0.96.1-3.diff.gz
> > Checksums-Sha256: 
> >  4874134e9fc6bd08eb7e451e42038394668895c26b7cc867d4c3fdaf9d711085 1746455 python-django_0.96.1.orig.tar.gz
> >  d2653ab52567436d0ee0d3c59410aa7e60b5fdf92ad05c6e1c58bc820e1bda31 7234 python-django_0.96.1-3.diff.gz
> 
> For reference, this is generated when one (like me) uses dpkg's
> development version (i.e. what's in the git tree for the next upload).
> 
> So those fields will become quite common in the near future.

And Lucas forgot to send to control@bugs.debian.org which means that this
bug never got reopened/reassigned. The version of dpkg generating this
will soon hit unstable... so it's important to update the package quickly.

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Bug reopened, originator not changed. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Fri, 28 Mar 2008 11:21:16 GMT) Full text and rfc822 format available.

Bug reassigned from package `python-django' to `sbuild'. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Fri, 28 Mar 2008 11:21:18 GMT) Full text and rfc822 format available.

Bug marked as found in version 0.57.0-1. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Fri, 28 Mar 2008 11:21:20 GMT) Full text and rfc822 format available.

Severity set to `important' from `serious' Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Fri, 28 Mar 2008 11:21:21 GMT) Full text and rfc822 format available.

Changed Bug title to `sbuild doesn't cope with Checksums-Sha1 and Checksums-Sha256 headers' from `python-django: FTBFS: MD5SUM mismatch for .diff.gz'. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Fri, 28 Mar 2008 11:21:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#470440; Package sbuild. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #45 received at 470440@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Roger Leigh <rleigh@whinlatter.ukfsn.org>
Cc: 470440@bugs.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>
Subject: Re: [Buildd-tools-devel] Processed: Re: Bug#470440: python-django: FTBFS: MD5SUM mismatch for .diff.gz
Date: Fri, 28 Mar 2008 14:01:36 +0100
On Fri, 28 Mar 2008, Roger Leigh wrote:
> > > retitle 470440 sbuild doesn't cope with Checksums-Sha1 and Checksums-Sha256 headers
> 
> Could I have a copy of the python-django source package failing to
> build, for testing purposes?

Sure:
$ apt-get source python-django
or
$ dget http://ftp.fr.debian.org/debian/pool/main/p/python-django/python-django_0.97~svn7189-1.dsc

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#470440; Package sbuild. Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@whinlatter.ukfsn.org>:
Extra info received and forwarded to list. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #50 received at 470440@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@whinlatter.ukfsn.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>, 470440@bugs.debian.org
Subject: Re: [Buildd-tools-devel] Processed: Re: Bug#470440: python-django: FTBFS: MD5SUM mismatch for .diff.gz
Date: Fri, 28 Mar 2008 16:47:18 +0000
On Fri, Mar 28, 2008 at 02:01:36PM +0100, Raphael Hertzog wrote:
> On Fri, 28 Mar 2008, Roger Leigh wrote:
> > > > retitle 470440 sbuild doesn't cope with Checksums-Sha1 and Checksums-Sha256 headers
> > 
> > Could I have a copy of the python-django source package failing to
> > build, for testing purposes?
> 
> Sure:
> $ apt-get source python-django

OK, thanks.  I see what's wrong.

I guess we should probably be using "dscverify" rather than parsing the
.dsc ourselves.  Has dscverify been updated to validate the SHA1 and
SHA256 sums?

However, we also need to parse it to get the list of files to copy from
the chroot back to the host system.  Is there a tool available that can
do this automatically, or do I need to keep parsing the .dsc myself?  A
tool that can copy entire .dsc and .changes file sets would be equally
useful, because that's what we want to do.


Thanks,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#470440; Package sbuild. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #55 received at 470440@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Roger Leigh <rleigh@whinlatter.ukfsn.org>
Cc: Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>, 470440@bugs.debian.org
Subject: Re: [Buildd-tools-devel] Processed: Re: Bug#470440: python-django: FTBFS: MD5SUM mismatch for .diff.gz
Date: Fri, 28 Mar 2008 17:57:44 +0100
On Fri, 28 Mar 2008, Roger Leigh wrote:
> > Sure:
> > $ apt-get source python-django
> 
> OK, thanks.  I see what's wrong.
> 
> I guess we should probably be using "dscverify" rather than parsing the
> .dsc ourselves.  Has dscverify been updated to validate the SHA1 and
> SHA256 sums?

I doubt so. 

But you know dpkg-source refuses to unpack the source package if one of
the checks fails... and it checks all those headers. So I'm not sure what
gains it gives you to do the check yourself before-hand.

> However, we also need to parse it to get the list of files to copy from
> the chroot back to the host system.  Is there a tool available that can
> do this automatically, or do I need to keep parsing the .dsc myself?  A
> tool that can copy entire .dsc and .changes file sets would be equally
> useful, because that's what we want to do.

Well, we have a perl API in dpkg-dev to parse all of this, but we haven't
decided yet to promote it "stable" so if you use it, you have no guaranty
that it will stay that way in the years to come. :)

Dpkg::Source::Package is the module that could be used in this case (but
it's only in the git tree right now, it will be in the next upload).

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#470440; Package sbuild. Full text and rfc822 format available.

Acknowledgement sent to 470440@bugs.debian.org, Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #60 received at 470440@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: Roger Leigh <rleigh@whinlatter.ukfsn.org>, 470440@bugs.debian.org
Subject: Re: Bug#470440: [Buildd-tools-devel] Processed: Re: Bug#470440: python-django: FTBFS: MD5SUM mismatch for .diff.gz
Date: Wed, 9 Apr 2008 22:01:18 +0200
* Roger Leigh [Fri, 28 Mar 2008 16:47:18 +0000]:

> However, we also need to parse it to get the list of files to copy from
> the chroot back to the host system.  Is there a tool available that can
> do this automatically, or do I need to keep parsing the .dsc myself?  A
> tool that can copy entire .dsc and .changes file sets would be equally
> useful, because that's what we want to do.

Try:

  % /usr/bin/dcmd cp /path/to/foo.dsc /path/outside/the/chroot

dcmd is the devscripts package (>= 2.10.20).

HTH,

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
- You look beaten.
- I just caught Tara laughing with another man.
- Are you sure they weren't just... kissing or something?
- No, they were laughing.
                -- Denny Crane and Alan Shore





Reply sent to Roger Leigh <rleigh@whinlatter.ukfsn.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #65 received at 470440-done@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@whinlatter.ukfsn.org>
To: 470440-done@bugs.debian.org
Cc: Adeodato Simó <dato@net.com.org.es>
Subject: Re: [Buildd-tools-devel] Bug#470440: Processed: Re: Bug#470440: python-django: FTBFS: MD5SUM mismatch for .diff.gz
Date: Sun, 11 May 2008 10:47:11 +0100
[Message part 1 (text/plain, inline)]
Version: 0.57.2-1

Adeodato Simó <dato@net.com.org.es> writes:

> * Roger Leigh [Fri, 28 Mar 2008 16:47:18 +0000]:
>
>> However, we also need to parse it to get the list of files to copy from
>> the chroot back to the host system.  Is there a tool available that can
>> do this automatically, or do I need to keep parsing the .dsc myself?  A
>> tool that can copy entire .dsc and .changes file sets would be equally
>> useful, because that's what we want to do.
>
> Try:
>
>   % /usr/bin/dcmd cp /path/to/foo.dsc /path/outside/the/chroot
>
> dcmd is the devscripts package (>= 2.10.20).

We now use dcmd to get the file list (but not yet for copying; that
will come later).


Thanks,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.
[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 09 Jun 2008 07:30:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:29:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.